﻿(function () {
    var app = angular.module("WebAPITest");

    var ClaimantController = function ($scope, claimantService, $routeParams) {

        $scope.companyID = "";
        $scope.claimants = null;
        $scope.companys = null;

        var onClaimantsComplete = function (resultData) {

            $scope.claimants = resultData;
            $scope.companyID = "";
            $scope.message = "";
            //$scope.mainGridOptions.dataSource = new kendo.data.DataSource({
            //    data: resultData
            //});
        };

        // set up grid options
        $scope.mainGridOptions = {
            height: 550,
            scrollable: true,
            columns:
            [
                { field: "ConfirmationNumber"},
                { field: "LastName" },
                { field: "FirstName" }
            ]
        };

        // fetch data from the getClaimants service
        $scope.companyID = $routeParams.companyid;
        claimantService.getClaimants($scope.companyID)
            .then(onClaimantsComplete);


    };

    app.controller("ClaimantController", ClaimantController);

}());