﻿using IntakeNFRClasses;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Web.Http;
using WebAPITest.IntakeNFRReferenceDataService;

namespace WebAPITest.Controllers
{
    public class ClaimantsController : ApiController
    {
        public IEnumerable<IntakeClaimantSearchProjection> GetAllClaimants(string lastName, string firstName, string ssn, string dateOfInjury, string birthDate, string locationCode, string pendingExport, string createdBy, 
            string confirmationNumber,string companyID, string createdOn, string minDate)
        {
            ChannelFactory<IIntakeNFRReferenceDataService> factory = new ChannelFactory<IIntakeNFRReferenceDataService>("IntakeNFRReferenceDataServiceTcpEndPoint");
            IIntakeNFRReferenceDataService svc = factory.CreateChannel();
            ((IChannel)(IIntakeNFRReferenceDataService)svc).Open();

            var companys = svc.SearchIntakeClaimants("", "", "", null, null, "", "", "", "", companyID, null, null);
            ((IChannel)(IIntakeNFRReferenceDataService)svc).Close();

            return companys.AsEnumerable();
        }
    }
}
